GeometricBrownianMotionProcess Class Reference
Stochastic processes

Geometric brownian-motion process. More...

`#include <ql/processes/geometricbrownianprocess.hpp>`

Inheritance diagram for GeometricBrownianMotionProcess:
[legend]

## Public Member Functions

| GeometricBrownianMotionProcess (double initialValue, double mue, double sigma)
Real | x0 () const
| returns the initial value of the state variable
Real | drift (Time t, Real x) const
| returns the drift part of the equation, i.e. \( \mu(t, x_t) \)
Real | diffusion (Time t, Real x) const
| returns the diffusion part of the equation, i.e. \( \sigma(t, x_t) \)
Public Member Functions inherited from StochasticProcess1D
virtual Real | expectation (Time t0, Real x0, Time dt) const
virtual Real | stdDeviation (Time t0, Real x0, Time dt) const
virtual Real | variance (Time t0, Real x0, Time dt) const
virtual Real | evolve (Time t0, Real x0, Time dt, Real dw) const
virtual Real | apply (Real x0, Real dx) const
Public Member Functions inherited from StochasticProcess
virtual Size | factors () const
| returns the number of independent factors of the process
virtual Time | time (const Date &) const
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Attributes

double | initialValue_
double | mue_
double | sigma_
Protected Attributes inherited from StochasticProcess1D
boost::shared_ptr< discretization > | discretization_
Protected Attributes inherited from StochasticProcess
boost::shared_ptr< discretization > | discretization_

## Additional Inherited Members

Protected Member Functions inherited from StochasticProcess1D
| StochasticProcess1D (const boost::shared_ptr< discretization > &)
Protected Member Functions inherited from StochasticProcess
| StochasticProcess (const boost::shared_ptr< discretization > &)

## Detailed Description

Geometric brownian-motion process.

This class describes the stochastic process governed by

\[ dS(t, S)= \mu S dt + \sigma S dW_t. \]